%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global srcname pep8-naming
%global srcname_ pep8_naming
%global sum Check PEP-8 naming conventions, plugin for flake8

Name:		python-%{srcname}
Version:	0.4.1
Release:	2
Summary:	%{sum}

License:	MIT
URL:		http://pypi.python.org/pypi/%{srcname}
Source0:	https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:		noarch

BuildRequires:	python2-devel
BuildRequires:	python-flake8

%if 0%{?with_python3}
BuildRequires:	python3-devel
BuildRequires:	python3-flake8
%endif # if with_python3


%description
Check the PEP-8 naming conventions.

This module provides a plugin for flake8, the Python code checker.

(It replaces the plugin flint-naming for the flint checker.)


%package -n python2-%{srcname}
Summary:	%{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:	python-flake8


%description -n python2-%{srcname}
Check the PEP-8 naming conventions.

This module provides a plugin for flake8, the Python code checker.

(It replaces the plugin flint-naming for the flint checker.)


%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:	%{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:	python3-flake8


%description -n python3-%{srcname}
Check the PEP-8 naming conventions.

This module provides a plugin for flake8, the Python code checker.

(It replaces the plugin flint-naming for the flint checker.)
%endif # with_python3


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif # with_python3


%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
%py2_install
%if 0%{?with_python3}
%py3_install
%endif # with_python3


# %%check
# %%{__python2} run_tests.py
# %%{__python3} run_tests.py


# Note that there is no %%files section for the unversioned python module if we
# are building for several python runtimes
%files -n python2-%{srcname}
%doc README.rst
%{python2_sitelib}/pep8ext_naming.py*
%{python2_sitelib}/%{srcname_}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.rst
%{python3_sitelib}/pep8ext_naming.py
%{python3_sitelib}/__pycache__/pep8ext_naming.*.py*
%{python3_sitelib}/%{srcname_}-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Thu Jun 08 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.1-2
- Don't build python3-pep8-naming on EL7

* Tue Jun 6 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.1-1
- New upstream release

* Tue Feb 16 2016 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.3.3-1
- Initial RPM release
